summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sys-apps/irqbalance/files/irqbalance.init')
-rwxr-xr-xsys-apps/irqbalance/files/irqbalance.init23
1 files changed, 23 insertions, 0 deletions
diff --git a/sys-apps/irqbalance/files/irqbalance.init b/sys-apps/irqbalance/files/irqbalance.init
new file mode 100755
index 000000000000..1a9eb1900efc
--- /dev/null
+++ b/sys-apps/irqbalance/files/irqbalance.init
@@ -0,0 +1,23 @@
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License, v2 or later
+# $Header: /var/cvsroot/gentoo-x86/sys-apps/irqbalance/files/irqbalance.init,v 1.1 2006/08/22 15:03:47 uberlord Exp $
+
+depend() {
+ need localmount
+ after bootmisc
+}
+
+start() {
+ ebegin "Starting irqbalance"
+ start-stop-daemon --start --exec /sbin/irqbalance \
+ --pidfile /var/run/irqbalance.pid
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping irqbalance"
+ start-stop-daemon --stop --exec /sbin/irqbalance \
+ --pidfile /var/run/irqbalance.pid
+ eend $?
+}